Package org.jcsp.lang

# Class AlternativeError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.jcsp.lang.AlternativeError

All Implemented Interfaces:
  `Serializable`

public class AlternativeError extends Error
This is thrown for an illegal operation on an Alternative.

## Description

Currently, there is only one cause: we cannot invoke 'priSelect' when there is an AltingBarrier in the Guard array.

Author:
  P.H. Welch
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AlternativeError(String s)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AlternativeError

public AlternativeError(String s)